Synq Docs
Account APIAPI keys

The signed-in person's API keys

Oldest first, revoked and expired ones too; never a key itself. Needs `me:read`.

GET/v1/api-keys

Oldest first, revoked and expired ones too; never a key itself. Needs me:read.

Authorization

bearer
AuthorizationBearer <token>

An access token from this issuer for its account API (resource=<issuer>/me).

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/api-keys"
{  "data": [    {      "id": "string",      "name": "string",      "prefix": "string",      "api": {        "identifier": "string",        "name": "string"      },      "scopes": [        "string"      ],      "expires_at": "2019-08-24T14:15:22Z",      "revoked_at": "2019-08-24T14:15:22Z",      "last_used_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ]}